<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <body>
        <h2>IMS Move Status Updates</h2>
        <table border="1">
          <tr bgcolor="#E0E0E0">
            <th>IMSNBR</th>
            <th>CONTAINER NUMBER</th>
            <th>BOL</th>
            <th>BOOKING</th>
            <th>CLIENTREF</th>
            <th>IRISREF</th>
            <th>MOVETYPE</th>
            <th>STATUS CODE</th>
            <th>STATUS DATE</th>
            <th>EVENT DATE</th>
            <th>STATUS NOTE</th>
          </tr>
          <xsl:for-each select="xml/record">
            <tr>
              <xsl:choose>
                <xsl:when test="position() mod 2 = 1">
                  <xsl:attribute name='bgcolor'>#FFFFFF</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:attribute name='bgcolor'>#E0E0E0</xsl:attribute>
                </xsl:otherwise>
              </xsl:choose>
              <td>
                <xsl:value-of select="imsnbr" />
              </td>
              <td>
                <xsl:value-of select="containernbr" />
              </td>
              <td>
                <xsl:value-of select="bolfull" />
              </td>
              <td>
                <xsl:value-of select="booking" />
              </td>
              <td>
                <xsl:value-of select="clientrefnbr" />
              </td>
              <td>
                <xsl:value-of select="irisrefnbr" />
              </td>
              <td>
                <xsl:value-of select="movetype" />
              </td>
              <td>
                <xsl:value-of select="statuscode" />
              </td>
              <td>
                <xsl:value-of select="statusdate" />
              </td>
              <td>
                <xsl:value-of select="eventdate" />
              </td>
              <td>
                <xsl:value-of select="statusnote" />
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>